bcr_test_module:
  module_path: "test/bcr"
  matrix:
    platform:
      [
        "debian10",
        "debian11",
        "fedora39",
        "fedora40",
        "macos_arm64",
        "macos",
        "rockylinux8",
        "ubuntu2004",
        "ubuntu2204",
        "ubuntu2404",
        "windows",
      ]
    bazel: ["7.*", "8.*", "9.*", "rolling"]
  tasks:
    run_tests:
      name: "Run test module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_flags:
        - "--features=layering_check"
        - "--features=parse_headers"
        - "--process_headers_in_dependencies"
      build_targets:
        - "//..."
      test_flags:
        - "--features=layering_check"
        - "--features=parse_headers"
        - "--process_headers_in_dependencies"
      test_targets:
        - "//..."
